/********************************************************************************
 *	test.h
 *
 *	Color Test Management Header
 *
 *	Written by Paco Xander Nathan
 *	1990, Motorola Inc.  Public domain source code.
 ********************************************************************************/

#define _H_test


typedef enum {
	testReset = 1, testSpace1,
	testUserMode, testBorderless, testInColor, testSpace2,
	testCleanUp
} TestMenuItems;


typedef enum {
	testPass0, testPass1
} TestPasses;


typedef enum {
	tstPhase1 = 1, tstPhase2, tstGoAgain
} TestPhases;


typedef struct {
	Rect bounds;
	short color;
	short order;
	Boolean selected;
} TestPadType;



/* External Data Structures
 */
extern Boolean
	testUser,
	testBCraig,
	testJDavis;

extern PaletteHandle
	testPal;

extern TestPhases
	testPhase;

extern TestPadType
	testPad[];


/* External Function Prototypes
 */
#ifdef PROTOTYPES
void TestSetup (void);
void TestReset (void);
void TestTitleInfo (void);
void TestDraw (void);
void TestClick (Point thePoint);
void TestMenu (short theItem);
#endif
